# ------------------------------------------------------------
# ask_for_upsagent_readme()
# ------------------------------------------------------------

ask_for_upsagent_readme() {
#if [ -f upsagent.readme ];then
#    UPSAGENTREADME=upsagent.readme
#elif
if [ -n "$INFO_DIR" -a -f $INFO_DIR/[Uu][Pp][Ss][Aa][Gg][Ee][Nn][Tt].[Tt][Xx][Tt] ]; then
    UPSAGENTREADME=`ls $INFO_DIR/[Uu][Pp][Ss][Aa][Gg][Ee][Nn][Tt].[Tt][Xx][Tt] 2>/dev/null`
else
    return 1
fi
$doecho \\nDo you want to read the information for Upsagent [Y/n]?: \\c
read yesno
dodebug "yesno = >$yesno<"
if [ "$yesno" = "" ] || [ $yesno = y ] || [ $yesno = Y ]; then
	more $UPSAGENTREADME
fi
sleep 1
}

# ------------------------------------------------------------
# do_upsagent_inst()
# ------------------------------------------------------------

do_upsagent_inst() {

#if [ -d $WPATH/[Uu][Pp][Ss][Aa][Gg][Ee][Nn][Tt] ]; then
#    UPSAGENT=`ls -d $WPATH/[Uu][Pp][Ss][Aa][Gg][Ee][Nn][Tt] 2>/dev/null`
#else
#    doerror can\'t find $WPATH/UPSAGENT, no such directory!
#    return 1
#fi
if [ -f $UPSAGENT/[Aa][Gg][Tt][Bb][Ii][Nn].[Tt][Aa][Rr] ]; then
    AGTBIN_TAR=`ls $UPSAGENT/[Aa][Gg][Tt][Bb][Ii][Nn].[Tt][Aa][Rr] 2>/dev/null`
else
    doerror can\'t find $UPSAGENT/agtbin.tar, no such file!
    return 1
fi
if [ -f $UPSAGENT/[Aa][Gg][Tt][Mm][Ii][Ss][Cc].[Tt][Aa][Rr] ]; then
    AGTMISC_TAR=`ls $UPSAGENT/[Aa][Gg][Tt][Mm][Ii][Ss][Cc].[Tt][Aa][Rr] 2>/dev/null`
else
    doerror can\'t find $UPSAGENT/agtmisc.tar, no such file!
    return 1
fi

$doecho \\nInstall Upsagent in `pwd`... \\c
tarerror=`$UNTAR $AGTBIN_TAR 2>&1`
tarerror=`$UNTAR $AGTMISC_TAR 2>&1`
#[ "$tarerror" ] && doerror \\n$tarerror

chown root:0 upsagent && chmod 700 upsagent \
&& chown root:0 upsagent.conf && chmod 600 upsagent.conf \
&& chown root:0 rfc-1628.txt && chmod 644 rfc-1628.txt
[ $? = 0 ] || doerror failed to fix permissions

$doecho ok!; sleep 1
}

# ------------------------------------------------------------
# InstallUpsagent()
# ------------------------------------------------------------

InstallUpsagent() {
dodebug "InstallUpsagent()"
[ -z "$UNTAR" ] && UNTAR="tar xf"

cat<<EOF

Do you want to install Upsagent?
This software allows you to monitor UPS via SNMP.
EOF

ask_for_upsagent_readme

$doecho \\nInstall Upsagent [Y/n]?: \\c
read yesno

if [ "$yesno" != "" ] && [ $yesno != y ] && [ $yesno != Y ]; then
    return 0
fi

check_ups_dir

cd $UPS_DIR

do_upsagent_inst

$doecho \\nUpsagent installed in directory `pwd`; sleep 1

}

